<?php

   include("./scripts/connect.php");

   include("./scripts/session.php");

   $conexion=conecta_default();



   if( isset($_POST['usr'])&&isset($_POST['pswd']) ) {

      $usrr=$_POST['usr'];

      $pswdd=$_POST['pswd'];

      $consulta="select * from usuarios_ci where nombre_usr='".$usrr."' and passwd='".$pswdd."'";

      $result=mysql_query($consulta);

      $usr=mysql_fetch_object($result);

      

      //echo $pswdd;

      if(!mysql_affected_rows()){/*hubo error en la consulta*/

         echo "<br>usuario y/o password invalidos.";

	  echo "<br><a onclick=\"javascript: history.go(-1);\" style=\"cursor: pointer;\">Regresar</a>";

	  exit;

      }else{

          $id=$usr->idusuarios_ci;

	  	  $usuario=$usr->nombre_usr;

	  	  $priv=$usr->rango_idrango;



          //obetener el rango del usuario

        $sesion=new Sesion($id,$priv,$usuario);

	     if(!$sesion->setSesion()){ echo "error al crear sesion";exit;}

	     switch($priv){

              	

			   case '4':header("Location: ./admin/index.php");echo "cap";break;	                  

	     }

	  

      }/*else*/

   }



?>

